Announcements

Shape the future of your TeamViewer product with our Product Team. Click here to join!

Highlighted
Posted by ehlien
Photon

Teamviewer 14 says Remote is running old version despite using QS 14.4.2669

I am running the latest Teamviewer 14 on my computer and the person I was helping downloaded quick support from my custom link, which has version 14.4.2669 listed in the options window. Despite both of these being completely updated and on the same version, I get an error saying, "The remote TeamViewer is running an old version which is out of date. Therefore you cannot connect to this Version anymore..." followed by a "Reason unknown" dialog box.

If I select to connect using Windows authentication instead, however, and enter the credentials of the remote user, I successfully connect. I have tested this using a second computer in my possesion, as I don't expect my friend to have to give me their password just for me to help them for a few minutes.

And even further, this problem doesn't persist when I use the standard QS download (version 14.4.2669). Has anyone else had this issue or found a fix for it. I'm really trying to avoid forcing my friend to send me their remote ID and password everytime they need help or even worse, their actual windows credentials.

Thanks